<?php
include "../ver_sessao.php";
include "../conecta.php";
include "/tools/PHPMailer_v5.1/class.phpmailer.php";

// print_r($_POST);

function envia_email($a,$a_cota) {

	if($a[enti_tx_email]){


			$LOJA = carregar('empresa',1);

			if ( $LOJA[empr_nb_cidade] > 0 ) {
				$LOJA_CIDADE = carregar('cidade',$LOJA[empr_nb_cidade]);

				$NOME_CIDADE = $LOJA_CIDADE[cida_tx_nome];
				$LOJA_CIDADE[cida_tx_nome] = $LOJA_CIDADE[cida_tx_nome].'/'.$LOJA_CIDADE[cida_tx_uf];
			}



			$mail = new PHPMailer();
			
			$mail->SMTPDebug  = 0; // enables SMTP debug information (for testing)
                       // 1 = errors and mssql_min_message_severity(severity)				
                       // 2 = messages only
	
			$mail->IsSMTP();  // telling the class to use SMTP
			$mail->IsHTML(true);//TIPO DO EMAIL HTML
			$mail->SMTPAuth   = true;  
			// $mail->SMTPSecure = 'ssl';
			//CONFIGURACAO DE EMAIL QUALIVITA
			$mail->Host       = 'cactustecnologia.com'; // SMTP server
			$mail->Port       = 587; 
			$mail->Username   = 'cotacao@qualivitasaude.com.br'; // Usuário do servidor SMTP (endereço de email)
			$mail->Password   = 'quali00cotacao'; // Senha do servidor SMTP (senha do email usado)
			//CONFIGURACAO DE EMAIL CACTUS .BR
			//$mail->Host       = 'smtp.cactustecnologia.com.br'; // SMTP server
			// $mail->Port       = 587; 
			//$mail->Username   = 'cotacao@hospitalwilsonrosado.com.br'; // Usuário do servidor SMTP (endereço de email)
			//$mail->Password   = 'cactus123'; // Senha do servidor SMTP (senha do email usado)
			//$mail->SetFrom('cotacao@hospitalwilsonrosado.com.br', 'Hospital Wilson Rosado');
		
		
			$mail->SetFrom('cotacao@qualivitasaude.com.br', 'Qualivita');
			$mail->FromName = "Cotação Qualivita";
			$mail->AddReplyTo("nao-responder@qualivitasaude.com.br");

			$mail->Subject  = "Cotação Qualivita";
			
			
			// $mail->AddAddress('renato@cactustecnologia.com.br');
			// $mail->AddAddress('raphael@cactustecnologia.com.br');
			// $mail->AddAddress('luzia@cactustecnologia.com.br');
			$mail->AddAddress("$a[enti_tx_email]");
			
			$data=data($a_cota[cota_tx_dataEncerra],1);

			$ip=file_get_contents('http://www.cactustecnologia.com.br/wilsonrosado/ip_lampiao.txt');
			$ip=reset(explode(" - ", $ip));

			$texto_msg = "Preazado(a) <b>$a[enti_tx_nome]</b>, <br>$LOJA[empr_tx_nome] solicita sua participação no Sistema de Cotaçao On-line de número <b>".str_pad($_POST[id], 4, "0", STR_PAD_LEFT)."</b>, com objeto de cotação: $a_cota[cota_tx_nome]. <br><br> ";
			$texto_msg .= "Por favor, acesse o link abaixo para participar do mesmo até <b> $data às ".substr($a_cota[cota_tx_dataEncerra],11,5)."  (Horário de Brasília).<br><br>";

			$texto_msg .= "<a href='http://$ip:8000/agropet/cotacao/cotacao.php?e=$a[enti_nb_id]&c=$a[cofo_nb_cotacao]&h=".md5($a[enti_nb_id].$a[cofo_nb_cotacao])."'>Sistema de Cotação Agropet</a>";


	
			$msg = "<html>

						<head>
						<meta http-equiv='Content-Language' content='pt-br'>
						<meta http-equiv='Content-Type' content='text/html; charset=windows-1252'>
						<title>$LOJA[empr_tx_nome]</title>
						</head>

						<body>

						<table border='0' style='background-color: #187045' width='760' cellpadding=0 cellspacing=0>
							<tr >
								<td colspan='3'>
									<img align = 'bottom' border='0' src='http://sistemascactus.com.br/agropet/galeria/cabecalho_cotacao.png'>
								</td>
							</tr>
							
								
							<tr >
								<td width='4px'>
									
								</td>

								<td width='764' style='background-color:white; padding-left: 37px;  font-family:Verdana; font-size:15px' align='left' height='90' text-decoration:none>
								<span style='letter-spacing: normal;text-decoration:none; '>
								<font face='arial, sans-serif' style='font-size: 11px text-decoration:none' >
								
									<br>";

			$msg .= $texto_msg;


			$msg.="<br>

								</font></span></td>

								<td width='4px'>
									
								</td>
							</tr>

								
							<tr style=''>
								<td width='4px'>
									
								</td>

								<td  width='764' style='background-color:white; padding-left: 37px;  font-family:Verdana; font-size:15px' align='right' height='90' text-decoration:none>
								<span style='letter-spacing: normal;text-decoration:none; '>
								<font face='arial, sans-serif' style='font-size: 11px text-decoration:none' >
								
									<br>$NOME_CIDADE, ". date("d")." de  ".mesExtenso()." de ". date("Y") ."&nbsp;&nbsp;

								</font></span></td>

								<td width='4px'>
									
								</td>

							</tr>
						</table>
					";					
			
			
				
			// Rodapé do email
			$msg.=  "
					<table border='0' width='760' cellpadding=0 cellspacing=0>
					
							<tr>
								<td width='764' style=' padding-left: 37px; background-color: #A9C62D; font-family:Verdana; color:#FFFFFF; font-size:18px' align='left' height='40'>
								<span style='color: rgb(0, 77, 125); font-family: arial, sans-serif; font-size: 13px; font-style: normal; font-variant: normal; font-weight: normal; letter-spacing: normal; line-height: normal; orphans: auto; text-align: left; text-indent: 0px; text-transform: uppercase; white-space: normal; widows: auto; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none; background-color: rgb(169, 198, 45);'>
								$LOJA[empr_tx_razao]</span></td>
							</tr>
							
							
							<tr>
								<td width='764' style='padding-left: 37px; background-color: #187045; font-family:Verdana; color:#FFFFFF; font-size:12px' align='left' height='90' text-decoration:none>
								<span style='letter-spacing: normal; background-color: #187045; text-decoration:none; '>
								<font face='arial, sans-serif' style='font-size: 11px; text-decoration:none' >
								$LOJA[empr_tx_endereco] Nº $LOJA[empr_tx_numero] - $LOJA[empr_tx_bairro], $LOJA_CIDADE[cida_tx_nome] - CEP $LOJA[empr_tx_cep]<br>
								Telefone: $LOJA[empr_tx_fone] - E-mail: $LOJA[empr_tx_email] </font></span></td>
							</tr>
												
							
							
							</table>

						</body>

						</html>";


			$mail->Body     =  $msg;
			
			$mail->Send();


			//system("sendemail -f backup@cactustecnologia.com.br -t raphaelcactus@gmail.com -u 'Subject' -o message-file=teste.htm -s smtp.cactustecnologia.com.br:587 -xu backup@cactustecnologia.com.br -xp cactus");

			
			//echo "<hr>Enviou Email!<hr>";

	} else {
		set_status("Não exite um endereço de E-mail");
		layout_finaliza_cotacao();
		exit;
	}

	// $boundary = "XYZ-" . date("dmYis") . "-ZYX"; 
			
			
	
	// $mens = "--$boundary\n";
	// $mens .= "Content-Transfer-Encoding: 8bits\n";
	// $mens .= "Content-Type: text/html; charset=\"utf-8\"\n\n"; //plain
	// $mens .= "TESTE CACTUS\n";
	// $mens .= "--$boundary\n";


	// $headers = "MIME-Version: 1.0\n"; 
	// $headers .= "From: \"CONTATO\" <'compras@hospitalwilsonrosado.com.br>\r\n"; 
	// $headers .= "Content-type: multipart/mixed; boundary=\"$boundary\"\r\n"; 
	// $headers .= "$boundary\n";

	// $subject = "Trabalhe Conosco";
	// $FROMMAIL = 'compras@hospitalwilsonrosado.com.br';

	// mail($FROMMAIL, $subject,$mens,$headers);
			
}


function envia_email_individual() {

	//print_r($_POST);
	$a = carregar('cofo,entidade',$_POST[id_cofo]);
	$a_cota = carregar('cotacao',$_POST[id]);
	
	envia_email($a,$a_cota);

	unset($_POST[id_cofo]);
	
	layout_finaliza_cotacao();
	exit;
	
}

function encerra_cotacao(){
	set_time_limit(0);
	//echo"ENTROU2!";
	$hoje = date("Y-m-d H:i:s");

	$_POST[enviado]=0;
	$a_cota = carregar('cotacao',$_POST[id]);

	// SOH ENVIADO OS EMAILS SE ESTIVER CADASTRANDO, SE ESTIVER ATUALIZANDO NAO DEVE ENVIAR MAIS
	if( $a_cota[cota_tx_status] == 'espera' ) {
	
		$sql=selecionar('cofo,entidade','cofo_tx_status',"!inativo"," AND cofo_nb_cotacao='$_POST[id]'",0);
		while($a=carrega_array($sql)){
	
		
			$_POST[enviado]++;
	
			envia_email($a,$a_cota);
	
			
		}
		
	}

	
	$campos = array(cota_nb_dataAtualiza, cota_tx_status);
	$valores = array($hoje, ativo);
	atualizar('cotacao',$campos,$valores,$_POST[id]);
	
	set_status("Cotação cadastrada com Sucesso!!! $_POST[enviado] E-mail(s) enviado(s)");
	index();
	exit;
}


function exclui_cotacao(){

	remover('cotacao',$_POST[id]);
	
	index();
	exit;
	
}


function exclui_produto(){
	
	remover('copr',$_POST[id]);
	
	$a_executar = carregar('copr',$_POST[id]);
	$_POST[id] = $a_executar[copr_nb_cotacao];
	
	layout_produto();
	exit;
}


function exclui_fornecedor(){

	remover('cofo',$_POST[id]);
	
	layout_finaliza_cotacao();
	exit;
}


function modifica_cotacao(){
	
	global $a_mod;
	
	$a_mod = carregar('cotacao,setor',$_POST[id]);
	
	layout_cotacao();
	exit;
}


function modifica_produto(){
	
	global $a_mod2;
	
	$a_mod2 = carregar('copr,cotacao,produto',$_POST[id]);
	
	$_POST[id] = $a_mod2[cota_nb_id];
	
	layout_produto();
	exit;
	
}


function cadastra_fornecedor(){

	if(!$_POST[fornecedor]){
		set_status("Escolha um fornecedor!");
		layout_finaliza_cotacao();
		exit;
	}
	
	$campos = array(cofo_nb_cotacao, cofo_nb_entidade, cofo_tx_status);
	$valores = array($_POST[id],$_POST[fornecedor], ativo);
	inserir('cofo',$campos,$valores);
	
	layout_finaliza_cotacao();
	exit;
}



function cadastra_produto(){
	//se não digitar quantidade
	if(!$_POST[qtde]){
		set_status("Digite a quantidade do produto!");
		layout_produto();
		exit;
	}
		
	$campos = array(copr_tx_obs,copr_nb_cotacao, copr_nb_produto, copr_tx_qtde, copr_nb_unidade, copr_tx_status );
	$valores = array($_POST[obs],$_POST[id],$_POST[campo_produto_], valor($_POST[qtde]), $_POST[unidade], ativo);

	if(!$_POST[id_copr])
		inserir('copr',$campos,$valores,1);
	else {
		atualizar('copr',$campos,$valores,$_POST[id_copr]);
	}
	
	layout_produto();
	exit;
}


function cadastra_cotacao() {

	if($_POST[setor] == ''){
		set_status("ERRO: Preencha todos os campos!");
		
		if( !$_POST[id] )
			layout_cotacao();
		else
			modifica_cotacao();
		exit;	
	}

	if( !$_POST[id] ) {
		
		$hoje = date("Y-m-d H:i:s");
		
		$campos = array(cota_tx_nome, cota_nb_setor,cota_nb_userCadastro,cota_tx_dataCadastro,cota_tx_dataEncerra,cota_tx_status);
		$valores = array($_POST[descricao],$_POST[setor],$_SESSION[user_nb_id],$hoje,gera_data($_POST[data],1)." ".$_POST[hora],'espera');
		inserir('cotacao',$campos,$valores,1);
		
		$_POST[id] = ultimo_reg('cotacao');	
	} else {
		$campos = array(cota_tx_dataEncerra,cota_nb_setor,cota_tx_dataCadastro,cota_tx_nome);
		$valores = array(gera_data($_POST[data],1)." ".$_POST[hora],$_POST[setor],date("Y-m-d H:i:s"),$_POST[descricao]);
		atualizar('cotacao',$campos,$valores,$_POST[id]);
	}

	layout_produto();
	exit;
}

function atualiza_email(){

	$a_cofo=carregar('cofo,entidade,cotacao',$_POST[id]);

	atualizar('entidade',array(enti_tx_email),array($_POST[email]),$a_cofo[cofo_nb_entidade]);

	layout_finaliza_cotacao();
	exit;

}

function layout_email(){

	$a_cofo=carregar('cofo,entidade,cotacao',$_POST[id]);

	cabecalho('',2);
	
	cactux::abre_form();


	$t1[] = cactux::texto('Fornecedor:',$a_cofo[enti_tx_nome],5);
	$t1[] = cactux::texto('Fone:',$a_cofo[enti_tx_fone],2);
	$t1[] = cactux::texto('E-mail Antigo:',$a_cofo[enti_tx_email],3);
	$c[] = cactux::campo('Novo E-mail:','email','',5);
	
	$gravar = cactux::botao_submit('Gravar',2,'atualiza_email','id,id_cofo',"$_POST[id],$_POST[id]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Atualizar E-mail');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($c[0]);
	cactux::linha_fieldset($voltar,$gravar);

	cactux::fecha_fieldset();

	cactux::fecha_form();

	cactux::acao_botao('voltar','layout_finaliza_cotacao','id',"$a_cofo[cofo_nb_cotacao]");


}


function layout_finaliza_cotacao() {
	
	if($_POST[acao] == 'exclui_fornecedor' || $_POST[id_cofo] > 0){

		$id = carregar('cofo', $_POST[id]);
		$_POST[id] = $id[cofo_nb_cotacao];
	}
	
	$a_comp = carregar('cotacao,setor.user',$_POST[id],'cota_nb_userCadastro','.user_nb_id');

	cabecalho('Requisição de Cotação',3);
	
	cactux::abre_form();
	
	$t1[] = cactux::texto('Código:',$a_comp[cota_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Descrição:',$a_comp[cota_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[cota_tx_dataCadastro],1),2);
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::fecha_fieldset();
	
	
	$c[] = cactux::combo_net('Fornecedor:','fornecedor','','',5,array('busca_div.php?c=fornecedor','busca_net.php?c=fornecedor'));
	
	//BOTÕES
	$gravar = cactux::botao_submit('Gravar',2,'cadastra_fornecedor','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$finalizar = cactux::botao('Finalizar',2,'finalizar');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($c[0]);
	cactux::linha_fieldset($voltar,$gravar,$finalizar,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','layout_produto','id',"$a_comp[cota_nb_id]");
	cactux::acao_botao('finalizar','encerra_cotacao','id, fornecedor',"$a_comp[cota_nb_id], $_POST[fornecedor]");
	
	
	$sql = selecionar('cofo,entidade,cotacao','cofo_tx_status,cofo_nb_cotacao', "ativo, $a_comp[cota_nb_id]"," ORDER BY enti_tx_nome");
	
	// inicio do grid
	$cabeca[] = array('CÓD','FORNECEDOR','E-MAIL','','','');
	$cabeca[] = 'c,e,e';
	$cabeca[] = '5%,,30%,2%,2%,2%';
	
	while( $a = carrega_array($sql)) {

		$modificar=".icone_modificar($a[0],'layout_email')";
		$excluir=".icone_excluir($a[0],'exclui_fornecedor')";
		if( trim($a[enti_tx_email]) != '' )
			$email=".icone_modificar($a[cota_nb_id],'envia_email_individual','id_cofo','$a[cofo_nb_id]','','','','/cactus/imagens/email.png')";
		else
			$email = '';
			
		$valores[] = array($a[cofo_nb_id],$a[enti_tx_nome],$a[enti_tx_email],$email,$modificar, $excluir);
	}
	
	grid::gerar($cabeca,$valores);
	
}



function layout_imprimi_cotacao(){

	cabecaRelatorio('Requisição de Cotação');	
	
		
	$a_comp = carregar('cotacao,setor',$_POST[id]);
	
	$t1[] = cactux::texto('Data Encerramento:',data($a_comp[cota_tx_dataEncerra],1),2);
	$t1[] = cactux::texto('Objeto de Cotação:',$a_comp[cota_tx_nome],2);
	$t1[] = cactux::texto('Setor:', $a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Situação:',$a_comp[cota_tx_status],2);
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::fecha_fieldset();
	
	echo "<BR>";
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('copr,unidade,cotacao,produto','copr_nb_cotacao,copr_tx_status',"$_POST[id],ativo");	
	
	echo "<b>PRODUTOS </b> <BR>";

	while( $a = carrega_array($sql) ) {
	
		$valores[] = array($a[copr_nb_id],$a[prod_tx_nome],$a[unid_tx_nome],$a[copr_tx_qtde],$a[prod_tx_status]);
	
		$total_qtde += $a[copr_tx_qtde];
	}
	
	$valores[]=array('','','<b>TOTAL:</b>',"<b>".$total_qtde,'');
	$cabeca[]=array('COD','PRODUTO','UNIDADE','QUANTIDADE','STATUS');
	$cabeca[]='c,e,c,c,c';
	$cabeca[]='5%,,15%,15%,15%%';

	grid::gerar($cabeca,$valores);
	
	echo "<BR>";
	
	$sql = selecionar('cofo,entidade,cotacao','cofo_tx_status,cofo_nb_cotacao', "Ativo, $a_comp[cota_nb_id]"," ORDER BY cofo_nb_entidade");
	
	unset($cabeca, $valores);
	
	echo "<b>FORNECEDORES </b> <BR>";
	
	// inicio do grid
	$cabeca[] = array('CÓD.','FORNECEDOR','E-MAIL');
	$cabeca[] = 'c,e';
	$cabeca[] = '5%,,35%';
	
	while( $a = carrega_array($sql)) {
		
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_email]);
	}
	
	grid::gerar($cabeca,$valores);
	
	
	
	rodape();
}


function layout_imprimi_busca(){
	
	if( $_POST[busca_data1] )
		$extra .= " AND cota_tx_dataEncerra >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND cota_tx_dataEncerra <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '')
		$extra .= " AND cota_nb_setor = '$_POST[busca_setor]'";
	if( $_POST[busca_status] )
		$extra .= " AND cota_tx_status = '$_POST[busca_status]'";
		
	cabecaRelatorio('Requisição de Cotação');	
	
	if($_POST[busca_setor])
		$a_setor = carregar('setor', $_POST[busca_setor]);
	
	$t1[] = cactux::texto('Data Inicial:',$_POST[busca_data1],2);
	$t1[] = cactux::texto('Data Final:',$_POST[busca_data2],2);
	$t1[] = cactux::texto('Setor:', $a_setor[seto_tx_nome],2);
	$t1[] = cactux::texto('Situação:',$_POST[busca_status],2);
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::fecha_fieldset();
	
	echo "<BR>";
	
	$sql = selecionar('cotacao,setor','cota_tx_status',"!inativo"," $extra ORDER BY cota_nb_id DESC");
		
	$cabeca[]=array('CÓD','SETOR','OBJETO','DATA','SITUAÇÃO');
	$cabeca[]='c,e,e,c,c';
	$cabeca[]='5%,,25%,15%,10%';
	
	while($a = carrega_array($sql)){
		$valores[] = array($a[cota_nb_id],$a[seto_tx_nome], $a[cota_tx_nome], data($a[cota_tx_dataEncerra],1),$a[cota_tx_status]);
	}
	
	grid::gerar($cabeca,$valores);
	rodape();
}


function layout_produto(){
	global $a_mod2;
		
	$a_comp = carregar('cotacao,setor.user',$_POST[id],'cota_nb_userCadastro','.user_nb_id');

	cabecalho('Requisição de Cotação',3);
	
	cactux::abre_form();
	
	$t1[] = cactux::texto('Código:',$a_comp[cota_nb_id],2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Objeto da Cotação:',$a_comp[cota_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[cota_tx_dataCadastro],1),2);

	$gravar = cactux::botao_submit('Gravar',2,'cadastra_produto','id,id_copr',"$_POST[id], $a_mod2[copr_nb_id]");
	
	//LIBERA O BOTAO FINALIZAR SOMENTE SE HOUVER NO MINIMO 1 PRODUTO
	$a_teste1 = carregar('copr','','copr_nb_cotacao,copr_tx_status',"$_POST[id],Ativo");
	
	if($a_teste1[0] != '')	
		$avancar = cactux::botao('Avançar',2,'avanca','id',"$_POST[id]");
	
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Informações da Cotação');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações dos Produtos');
	
	$produto = cactux::combo_net('Produto:','campo_produto_',$a_mod2[prod_nb_id],$a_mod2[prod_tx_nome],4,array('busca_div.php?c=produto','busca_net.php?c=produto'),"onFocus=abre_proximo('div_produto_',".($i+1).")");
		
	if($a_mod[copr_tx_unidade] != '')
		$a_un = carregar('unidade','','unid_tx_status,unid_tx_nome',"!inativo,$a_mod2[copr_tx_unidade]");
	
	$unidade= cactux::combo_bd('Unidade:','unidade',$a_un[unid_nb_id],$a_un[unid_tx_nome],2,'unidade');
	$qtde = cactux::campo('Quantidade:','qtde',mostra_valor($a_mod2[copr_tx_qtde]),1, MASCARA_VALOR);
	$obs = cactux::campo('Observação:','obs',$a_mod2[copr_tx_obs],3);
	
	cactux::linha_fieldset($produto,$unidade,$qtde,$obs);
	cactux::linha_fieldset($voltar,$gravar,$avancar, $status);
	cactux::fecha_fieldset();

	campo_hidden('valor_total_hidden1','0');
	cactux::fecha_form();
	
	
	// SE TIVER ATUALIZANDO, ENTAO CARREGA OS PRODUTOS JAH CADASTRADOS
	$sql = selecionar('copr,unidade,cotacao,produto','copr_nb_cotacao,copr_tx_status',"$_POST[id],ativo",'',0);	
	

	while( $a = carrega_array($sql) ) {

		$modificar = ".icone_modificar($a[copr_nb_id],modifica_produto)";
		$excluir = ".icone_excluir($a[copr_nb_id],exclui_produto)";
	
		$valores[] = array($a[copr_nb_id],$a[prod_tx_nome],$a[unid_tx_nome],mostra_valor($a[copr_tx_qtde]),$a[copr_tx_obs],$modificar,$excluir);
	
		$total_qtde += $a[copr_tx_qtde];
	}
	
	$valores[]=array('','','<b>TOTAL:</b>',"<b>".mostra_valor($total_qtde),'','','');
	$cabecalho[]=array('COD','PRODUTO','UNIDADE','QUANTIDADE','OBSERVAÇÃO','','');
	$cabecalho[]='c,e,e,c,e';
	$cabecalho[]='5%,,15%,15%,20%,2%,2%';

	cactux::acao_botao('voltar','modifica_cotacao','id',$_POST[id]);
	cactux::acao_botao('avanca','layout_finaliza_cotacao','id',"$_POST[id]");
	
	grid::gerar($cabecalho,$valores);
	
	
	rodape();
}


function layout_cotacao() {

	global $a_mod;
	
	cabecalho('Requisição de Cotação',2);

	cactux::abre_form();
	
	if($_SESSION[user_tx_nivel] != "Comprador" || $_SESSION[user_tx_nivel] != "Informatica")
		$c[] = cactux::combo_bd('!Setor:','setor',$a_mod[seto_nb_id],$a_mod[seto_tx_nome],4,'setor','',"1  ORDER BY seto_tx_nome");
	else{
		$c[] = cactux::combo_bd('Setor:','setor',$a_mod[seto_nb_id],$a_mod[seto_tx_nome],4,'setor',''," 1 AND seto_nb_id = $_SESSION[user_nb_setor]");
	}
	
	$c[] = cactux::campo('Data de Encerramento:','data',data($a_mod[cota_tx_dataEncerra],1),2, MASCARA_DATA);
	$c[] = cactux::campo('Hora de Encerramento:(Brasília)','hora',substr($a_mod[cota_tx_dataEncerra],11,8),3, MASCARA_HORA);
	$c[] = cactux::textarea('Objeto da Cotação:','descricao',$a_mod[cota_tx_nome],10,3);
	
	//BOTÕES
	$avancar = cactux::botao_submit('Avançar',2,'cadastra_cotacao','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Informações da Cotação');	
	cactux::linha_fieldset($c[0],$c[1],$c[2]);
	cactux::linha_fieldset($c[3]);
	cactux::linha_fieldset($voltar,$avancar,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
}


function index(){

	
	if( $_POST[busca_cod] )
		$extra .= " AND cota_nb_id = '$_POST[busca_cod]'";
	if( $_POST[busca_data1] )
		$extra .= " AND cota_tx_dataEncerra >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND cota_tx_dataEncerra <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '')
		$extra .= " AND cota_nb_setor = '$_POST[busca_setor]'";
	if( $_POST[busca_status] )
		$extra .= " AND cota_tx_status = '$_POST[busca_status]'";

	cabecalho('Requisição de Cotação',2);
	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::campo('Código:','busca_cod','',1);
	$c[] = cactux::campo('Data Inicial:','busca_data1','',2,MASCARA_DATA);
	$c[] = cactux::campo('Data Final:','busca_data2','',2,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Setor:','busca_setor','','',3,'setor','',"1  ORDER BY seto_tx_nome");
	$c[] = cactux::combo('Situação:','busca_status',array('','Andamento','Encerrado'),'',2);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
	$imprimir_busca = cactux::botao('Imprimir',2,'imprimir_busca');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserir,$imprimir_busca);
	cactux::linha_fieldset($status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();

	// LISTA APENAS AS COTACOES QUE ESTAO EM ANDAMENTO (NAO EXPIROU O PRAZO DE ENCERRAMENTO)
	$hj = date("Y-m-d H:i:s");
	$sql = selecionar('cotacao,setor','cota_tx_status',"!inativo"," $extra AND (cota_tx_status = 'ativo' OR cota_tx_status='espera' ) AND cota_tx_dataEncerra > '$hj' ORDER BY cota_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',30);
	
	
	$cabeca[]=array('CÓD','SETOR','OBJETO','DATA','SITUAÇÃO','','','');
	$cabeca[]='c,e,e,c,c';
	$cabeca[]='5%,,25%,15%,10%,2%,2%,2%';
	
	while($a = carrega_array($BUSCA[0])){
		
		$modificar = ".icone_modificar($a[cota_nb_id],modifica_cotacao)";
		$excluir = ".icone_excluir($a[cota_nb_id],exclui_cotacao)";
		$imprimir = ".icone_modificar($a[cota_nb_id],layout_imprimi_cotacao,'','','','target =_blank','','/cactus/imagens/imprimir.png')";
				
		if( $a[cota_tx_status] == 'ativo' )
			$a[cota_tx_status] = 'Andamento';

		if( $a[cota_tx_status] == 'espera' )
			$a[cota_tx_status] = 'Espera';
				
		$valores[] = array($a[cota_nb_id],$a[seto_tx_nome], $a[cota_tx_nome], data($a[cota_tx_dataEncerra],1),$a[cota_tx_status],$imprimir,$modificar,$excluir);
	}
	
	
	cactux::acao_botao('inserir','layout_cotacao');
	cactux::acao_botao('imprimir_busca','layout_imprimi_busca',"","",'','',' target=_blank');
	
	grid::gerar($cabeca,$valores);
	grid::paginar($BUSCA);
	
	rodape();	
}

controle();
?>
